> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tidyhire.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Test API Key



## OpenAPI

````yaml POST /api/public/v1/api-key/test
openapi: 3.1.0
info:
  title: Tidyhire API
  description: Tidyhire Public API for ATS integrations
  version: 1.0.0
servers:
  - url: https://api.tidyhire.app
    description: Production
security:
  - apiKey: []
paths:
  /api/public/v1/api-key/test:
    post:
      tags:
        - Authentication
      summary: Test API Key
      operationId: testApiKey
      responses:
        '200':
          description: API key validated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyTestSuccessResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
      security:
        - apiKey: []
components:
  schemas:
    ApiKeyTestSuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: API key is tested successfully
    UnauthorizedResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          example: Unauthorized
        error:
          type: string
          example: INVALID_API_KEY
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-tidyhire-api-key
      description: Your Tidyhire API key

````